%define name	gabedit
%define version	2.4.0
%define release %mkrel 1

Name: 	 %{name}
Version: %{version}
Release: %{release}
Summary: GUI for computational chemistry
Summary(de): GUI für Chemieinformatik
Source:	 GabeditSrc240.tar.xz
URL:	 http://www-lasim.univ-lyon1.fr/
License: BSD
Group:	 Sciences/Chemistry
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: %{_lib}jpeg62-devel 
BuildRequires: %{_lib}gtk+2.0_0-devel 
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}gtkglext-devel
BuildRequires: ImageMagick


%description
Gabedit is a graphical user interface to computational chemistry packages like 
Gamess-US, Gaussian, Molcas, Molpro, MPQC, OpenMopac, PCGamess and Q-Chem

%description -l de
Gabedit ist eine grafische Benutzerschnittstelle zu Chemieinformatikpaketen wie
Gamess-US, Gaussian, Molcas, Molpro, MPQC, OpenMopac, PCGamess und Q-Chem

%prep
%setup -q -n GabeditSrc240

%build

%make

%install
install -dm 755 %{buildroot}%{_bindir}/
install -m 755 %{name} %{buildroot}%{_bindir}/

# icons
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
install -m 644 icons/Gabedit48.png %buildroot/%_liconsdir/%name.png
install -m 644 icons/Gabedit48.png %buildroot/%_iconsdir/%name.png
convert -scale 32 %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/%name.png
install -m 644 icons/Gabedit48.png %buildroot/%_miconsdir/%name.png
convert -scale 16 %buildroot/%_miconsdir/%name.png %buildroot/%_miconsdir/%name.png

#menu
mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Gabedit
Comment=Computational Chem GUI
Comment[de]=GUI für Chemieinformatiktools
Exec=%{name}
Icon=%{name}.png
Terminal=false 
Type=Application
Categories=Other;Sciences;Chemistry;X-MandrivaLinux-MoreApplications-Sciences
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
		
%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc License ChangeLog
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Mon Feb 13 2012 Neal <nealbrks0 at gmail dot com> 2.4.0-1pclos2012
- process

* Mon Feb 13 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.4.0-1pclos2012
- 2.4.0
- added german summary, description and comment in desktop file section
- corrected little spelling mistake in english summary
- added ImageMagick, %{_lib}gtkglext-devel to BuildRequires
- added %{_lib} makro for 64bit
- changed source to xz compression
- renamed spec file from gabedit.spec to pclos-gabedit.spec

* Fri Jun 26 2009 slick50 <lxgator@gmail.com> 2.2.0-1pclos2009
- 2.2.0

* Thu Sep 30 2008 Slick50 <slick50@linuxgator.org> 2.1.8-1pclos2007
- initial build

